Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692252 - WARNING: CPU: 5 PID: 26907 at kernel/sched/deadline.c:186 task_non_contending+0x25e/0x300
Summary: WARNING: CPU: 5 PID: 26907 at kernel/sched/deadline.c:186 task_non_contending...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Juri Lelli
QA Contact: Qiao Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 07:12 UTC by Qiao Zhao
Modified: 2019-03-27 07:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Qiao Zhao 2019-03-25 07:12:33 UTC
Description of problem:

[ 2418.835535] restraintd[11835]: ** Running task: 89850037 [/kernel/scheduler/sched_deadline/Sanity] 
[ 2436.824226] ------------[ cut here ]------------ 
[ 2436.824241] WARNING: CPU: 5 PID: 26907 at kernel/sched/deadline.c:186 task_non_contending+0x25e/0x300 
[ 2436.824319] Modules linked in: rpcrdma ib_isert iscsi_target_mod ib_iser libiscsi scsi_transport_iscsi ib_srpt target_core_mod ib_srp scsi_transport_srp scsi_tgt ib_ipoib rdma_ucm ib_uverbs ib_umad rdma_cm ib_cm iw_cm ib_core nls_koi8_u nls_cp932 ts_kmp nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache sunrpc amd64_edac_mod edac_mce_amd crc32_pclmul ghash_clmulni_intel aesni_intel lrw gf128mul glue_helper ablk_helper cryptd joydev pcspkr sp5100_tco fam15h_power k10temp i2c_piix4 sg ipmi_ssif ipmi_si ipmi_devintf ipmi_msghandler hpilo hpwdt acpi_power_meter xfs sd_mod crc_t10dif crct10dif_generic sr_mod cdrom crct10dif_pclmul crct10dif_common crc32c_intel igb dca radeon ata_generic sfc pata_acpi serio_raw i2c_algo_bit tg3 mtd drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops ttm drm drm_panel_orientation_quirks pata_atiixp bnx2x mdio ptp pps_core hpsa libcrc32c scsi_transport_sas netxen_nic ahci libahci libata dm_mirror dm_region_hash dm_log dm_mod [last unloaded: zlib] 
[ 2436.824352] CPU: 5 PID: 26907 Comm: deadline_test Kdump: loaded Tainted: G               ------------ T 3.10.0-1025.rt56.984.el7.x86_64 #1 
[ 2436.824353] Hardware name: HP ProLiant DL585 G7, BIOS A16 03/19/2012 
[ 2436.824355] Call Trace: 
[ 2436.824369]  [<ffffffffaf363ef3>] dump_stack+0x19/0x1b 
[ 2436.824377]  [<ffffffffaec8935b>] __warn+0xfb/0x120 
[ 2436.824382]  [<ffffffffaec8949d>] warn_slowpath_null+0x1d/0x20 
[ 2436.824387]  [<ffffffffaece093e>] task_non_contending+0x25e/0x300 
[ 2436.824393]  [<ffffffffaece0a77>] dequeue_task_dl+0x97/0x140 
[ 2436.824398]  [<ffffffffaecc73d6>] deactivate_task+0x46/0xd0 
[ 2436.824405]  [<ffffffffaf369527>] __schedule+0x747/0x930 
[ 2436.824410]  [<ffffffffaece107c>] ? prio_changed_dl+0x6c/0x80 
[ 2436.824416]  [<ffffffffaf369740>] schedule+0x30/0x96 
[ 2436.824420]  [<ffffffffaf36a2dd>] __rt_mutex_slowlock+0xdd/0x160 
[ 2436.824425]  [<ffffffffaf36a783>] rt_mutex_slowlock_locked+0xc3/0x1c0 
[ 2436.824431]  [<ffffffffaed646be>] ? trace_buffer_lock_reserve+0x1e/0x60 
[ 2436.824435]  [<ffffffffaf36a8fc>] rt_mutex_slowlock+0x7c/0xc0 
[ 2436.824441]  [<ffffffffaf36a9ef>] rt_mutex_lock+0x6f/0x90 
[ 2436.824445]  [<ffffffffaf36c0ee>] _mutex_lock+0xe/0x10 
[ 2436.824450]  [<ffffffffaee35a05>] SyS_write+0x65/0xf0 
[ 2436.824455]  [<ffffffffaf3760a1>] ? system_call_after_swapgs+0xae/0x146 
[ 2436.824459]  [<ffffffffaf37615e>] system_call_fastpath+0x25/0x2a 
[ 2436.824464]  [<ffffffffaf3760a1>] ? system_call_after_swapgs+0xae/0x146 
[ 2436.824468] ---[ end trace 0000000000000002 ]--- 


Please see the detailed info in https://bugzilla.redhat.com/show_bug.cgi?id=1615376#c15

Version-Release number of selected component (if applicable):
kernel is kernel-rt-3.10.0-1025.rt56.984.el7.x86_64

How reproducible:


Steps to Reproduce:
1. Install rt-tests
2. 
# for i in `seq 100`; do deadline_test; done
or run /kernel/scheduler/sched_deadline/Sanity


Actual results:


Expected results:


Additional info:

Comment 1 Juri Lelli 2019-03-26 07:28:11 UTC
Hi Qiao,

Could you please test again with scratch build below?

http://brew-task-repos.usersys.redhat.com/repos/official/kernel-rt/3.10.0/1030.rt56.989.bz1692252.el7/kernel-rt-3.10.0-1030.rt56.989.bz1692252.el7.repo

Thanks!

Comment 2 Qiao Zhao 2019-03-27 06:34:44 UTC
(In reply to Juri Lelli from comment #1)
> Hi Qiao,
> 
> Could you please test again with scratch build below?
> 
> http://brew-task-repos.usersys.redhat.com/repos/official/kernel-rt/3.10.0/
> 1030.rt56.989.bz1692252.el7/kernel-rt-3.10.0-1030.rt56.989.bz1692252.el7.repo
> 
> Thanks!

Hi Juri,

I have tested your build kernel-rt-3.10.0-1030.rt56.989.bz1692252.el7,
and running "deadline_test" more than 150 times on hp-dl585g7-03.rhts.eng.pek2.redhat.com, everything looks good, no such call trace again.

--
Thanks,
Qiao

Comment 3 Juri Lelli 2019-03-27 07:30:38 UTC
Great! Thanks for testing.

I'll report upstream that patch seems to be working and
post it to kernel-rt for wider review as soon as it is
accepted.


Note You need to log in before you can comment on or make changes to this bug.